Subject: Re: [RESEND] powerpc/diu: adjust DIU initialization entry

From: Scott Wood <[email-masked]>
Date: Tue, 7 Jul 2015 21:48:26 -0500

On Tue, 2015-07-07 at 21:46 -0500, Wang Dongsheng-B40534 wrote:
> 
> > -----Original Message-----
> > From: Wood Scott-B07421
> > Sent: Wednesday, July 08, 2015 10:41 AM
> > To: Wang Dongsheng-B40534
> > Cc: Sun York-R58495; [email-masked]; Jin Zhengxiong-R64188
> > Subject: Re: [RESEND] powerpc/diu: adjust DIU initialization entry
> > 
> > On Tue, 2015-07-07 at 21:30 -0500, Wang Dongsheng-B40534 wrote:
> > > 
> > > > -----Original Message-----
> > > > From: Wood Scott-B07421
> > > > Sent: Wednesday, July 08, 2015 5:51 AM
> > > > To: Wang Dongsheng-B40534
> > > > Cc: Sun York-R58495; [email-masked]; Jin
> > > > Zhengxiong-R64188
> > > > Subject: Re: [RESEND] powerpc/diu: adjust DIU initialization entry
> > > > 
> > > > On Tue, 2015-07-07 at 15:51 +0800, Dongsheng Wang wrote:
> > > > > From: Wang Dongsheng <[email-masked]>
> > > > > 
> > > > > Move fsl_diu_init into diu probe function, because it should be
> > > > > initialized when system get diu device tree node, not always do
> > > > > initialization.
> > > > > 
> > > > > Signed-off-by: Wang Dongsheng <[email-masked]>
> > > > > ---
> > > > > Changes:
> > > > > Rebase original patch for upstream because fsl-diu-fb.c has moved
> > > > > to fbdev dir.
> > > > > 
> > > > > This patch is a long time ago, there is no feedback, and the
> > > > > Patchwork state has been modified for the changes requested, I 
> > > > > don't know
> > why.
> > > > > So I resend this patch to upstream.
> > > > 
> > > > Please send this to the proper list and maintainer, and with a
> > > > subject prefix that indicates it's an fbdev patch.
> > > > 
> > > Thanks.
> > > 
> > > I will send this patch to [email-masked].
> > > 
> > > Please ignore this patch.
> > 
> > You still didn't fix the subject line...
> > 
> 
> The DIU belongs to the POWERPC,

No, it doesn't belong to arch/powerpc, it belongs to drivers/video/fbdev.

>  need I fix this? fbdev/diu?

"video: fbdev: fsl-diu:" seems to be the style that subtree uses.

-Scott